=== removed file 'avatardownloaderworker.py'
--- avatardownloaderworker.py	2011-03-14 17:09:59 +0000
+++ avatardownloaderworker.py	1970-01-01 00:00:00 +0000
@@ -1,70 +0,0 @@
-# Copyright (C) 2011 by Guillaume Hain (zedtux) <zedtux@zedroot.org>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-import urllib2
-import Queue
-import threading
-
-class AvatarDownloaderWorker(threading.Thread):
-    """
-    Threaded worker to retrieve avatar from a provider.
-    
-    It create a persitante connection to the provider in order
-    to get avatars quickly through the same socket (urllib3).
-    """
-    
-    def __init__(self, provider_method):
-        """
-        Constructor
-        
-        provider_method: Provider method that return fields
-                         to send with the request.
-        """
-        threading.Thread.__init__(self)
-        self.__stop = threading.Event()
-        self.__queue = Queue.Queue()
-        
-        self.__provider_method = provider_method
-        self.__end_thread = False
-    
-    def stop(self):
-        """ Stop this worker """
-        self.__end_thread = True
-        self.__stop.set()
-    
-    def set_callback_method(self, method):
-        """ Fire the given callback method when treatment is finished """
-        self.__callback_method = method
-    
-    def queue(self, id_field):
-        """
-        Put in Queue the id_field to treat in the thread.
-        This id_field is for example with Gravatar the email address.
-        """
-        self.__queue.put(id_field)
-    
-    def run(self):
-        """ Worker core code. """
-        while not self.__end_thread:
-            id_field = self.__queue.get()
-            # Call provider method to get fields to pass in the request
-            url = self.__provider_method(id_field)
-            # Execute the request
-            response = urllib2.urlopen(url)
-            # Fire the callback method
-            if not self.__callback_method is None:
-                self.__callback_method(response, id_field)
-            self.__queue.task_done()

=== modified file 'avatarproviders.py'
--- avatarproviders.py	2011-03-14 18:45:50 +0000
+++ avatarproviders.py	2011-03-15 16:50:15 +0000
@@ -14,8 +14,11 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
+import Queue
+import urllib
+import urllib2
 import hashlib
-import urllib
+import threading
 
 class AvatarProvider(object):
     """
@@ -36,6 +39,58 @@
         raise NotImplementedError("You must implement the get_base_url method.")
 
 
+class AvatarDownloaderWorker(threading.Thread):
+    """
+    Threaded worker to retrieve avatar from a provider.
+    
+    It create a persitante connection to the provider in order
+    to get avatars quickly through the same socket (urllib3).
+    """
+    
+    def __init__(self, provider_method):
+        """
+        Constructor
+        
+        provider_method: Provider method that return fields
+                         to send with the request.
+        """
+        threading.Thread.__init__(self)
+        self.__stop = threading.Event()
+        self.__queue = Queue.Queue()
+        
+        self.__provider_method = provider_method
+        self.__end_thread = False
+    
+    def stop(self):
+        """ Stop this worker """
+        self.__end_thread = True
+        self.__stop.set()
+    
+    def set_callback_method(self, method):
+        """ Fire the given callback method when treatment is finished """
+        self.__callback_method = method
+    
+    def queue(self, id_field):
+        """
+        Put in Queue the id_field to treat in the thread.
+        This id_field is for example with Gravatar the email address.
+        """
+        self.__queue.put(id_field)
+    
+    def run(self):
+        """ Worker core code. """
+        while not self.__end_thread:
+            id_field = self.__queue.get()
+            # Call provider method to get fields to pass in the request
+            url = self.__provider_method(id_field)
+            # Execute the request
+            response = urllib2.urlopen(url)
+            # Fire the callback method
+            if not self.__callback_method is None:
+                self.__callback_method(response, id_field)
+            self.__queue.task_done()
+
+
 class AvatarProviderGravatar(AvatarProvider):
     """ Gravatar provider """
     

=== modified file 'avatarsbox.py'
--- avatarsbox.py	2011-03-15 16:46:35 +0000
+++ avatarsbox.py	2011-03-15 16:50:15 +0000
@@ -18,8 +18,7 @@
 
 from bzrlib.plugins.gtk import _i18n
 from bzrlib.config import parse_username
-from bzrlib.plugins.gtk.avatarproviders import AvatarProviderGravatar
-from bzrlib.plugins.gtk.avatardownloaderworker import AvatarDownloaderWorker
+from bzrlib.plugins.gtk.avatarproviders import AvatarProviderGravatar, AvatarDownloaderWorker
 
 
 class Avatar(gtk.Box):

